%define name	xtoolwait
%define version	1.3
%define release	%mkrel 15

Summary:	A utility which aims to decrease X session startup time
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Configuration
BuildRequires:	imake
BuildRequires:	libx11-devel
Buildrequires:	libxext-devel
Url:		http://www.hacom.nl/~richard/software/xtoolwait.html
Source:		ftp://ftp.x.org/contrib/utilities/%{name}-%{version}.tar.bz2
Patch0:		xtoolwait-imake.patch

%description
Xtoolwait is a utility which starts an X client in the background, waits
for a window to be mapped on the root window, and then exits.  Xtoolwait
can improve performance for users who start a bunch of X clients
automatically (for example, xterm, xlock, xconsole, whatever) when the
X session starts.

Install xtoolwait if you'd like to try to speed up the startup time for
X sessions.

%prep
%setup -q
%patch0 -p1

%build
xmkmf
%make CDEBUGFLAGS="%optflags" EXTRA_LDOPTIONS="%ldflags"

%install
%{makeinstall_std} install.man

%files
%{_bindir}/xtoolwait
%{_mandir}/man1/xtoolwait.1*


%changelog

* Wed Jan 23 2013 fwang <fwang> 1.3-15.mga3
+ Revision: 391580
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 1.3-14.mga3
+ Revision: 387452
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 22 2011 steletch <steletch> 1.3-13.mga1
+ Revision: 75687
- imported package xtoolwait

